# Health

## Endpoints

- `GET /health`: [Get health](https://docs.polymorfa.com/api/health/get-health)
- `GET /ping`: [Ping](https://docs.polymorfa.com/api/health/ping)

## Get health

`GET https://api.polymorfa.com/health` (Messaging API)

### Request

```bash
curl "https://api.polymorfa.com/health" \
  -H "Authorization: Bearer <POLYMORFA_API_KEY>" \
  -H "Polymorfa-Version: 2026-09-22"
```

### Responses

#### 200

Required readiness checks pass; optional diagnostics may report degraded or in-progress state
- `status` (string, required). Current status of this resource or operation.
- `checks` (object, required). Structured checks values for this native health response.

```json
{
  "status": "healthy",
  "checks": {}
}
```

#### 503

One or more services unhealthy or draining
- `status` (string, required). Current status of this resource or operation.
- `checks` (object, required). Structured checks values for this native health response.

```json
{
  "status": "healthy",
  "checks": {}
}
```

## Ping

`GET https://api.polymorfa.com/ping` (Messaging API)

### Request

```bash
curl "https://api.polymorfa.com/ping" \
  -H "Authorization: Bearer <POLYMORFA_API_KEY>" \
  -H "Polymorfa-Version: 2026-09-22"
```

### Responses

#### 200

Pong
- `status` (string, required). Current status of this resource or operation.

```json
{
  "status": "ok"
}
```
